Building Wikipedia portal mockups and prototypes
Closed, DeclinedPublic

Description

Exploring different ideas on we can show content from Wikipedia and sister projects in one place on the www.wikipedia.org portal.

MSyed updated the task description. (Show Details)
MSyed raised the priority of this task from to Needs Triage.
MSyed claimed this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 8:45 PM
Deskana set Security to None.
Deskana moved this task from Needs triage to On Sprint Board on the Discovery board.
Deskana triaged this task as Normal priority.Oct 22 2015, 8:35 PM
Deskana added a subscriber: Deskana.
Deskana renamed this task from Building Knowledge Engine mockups and prototypes to Building Wikipedia portal mockups and prototypes.Jan 12 2016, 7:58 PM

Per the deprecation of the term "knowledge engine", I've renamed this task. There's more info in the FAQ.

MSyed added a comment.EditedJan 29 2016, 12:24 AM

Mock for collapsing languages under universal language selector

Another version


Mock for trending articles with collapsed language picker

Hey @MSyed, don't you think this "universal language search" mock conflicts a bit with the language picker within the search box?

On mock 1, as a user I don't understand what "1200 more" refers to... I would prefer more explicit "Find Wikipedia in 1200+ languages:" but then comes the i18n issue.
On mock 2, as a user I understand what it is though I don't really expect this regular link to open such a big search box... When I look at it it looks a little weird, but why not.

Also, when you do mocks, I would sincerely love to see mobile mocks. I believe in mobile first, because whatever we design on desktop will most of the time need to be redesigned on mobile... (applies for all these mocks)

debt added a subscriber: debt.Feb 1 2016, 11:57 PM


Mock for trending articles with collapsed language picker

For this test: the trending articles will be “static” - we’re looking to see who clicks on the trending articles rather than making sure the trending algorithm works. The trending articles will have localized (based on the top 10 languages) labels for the trending articles and we’ll use the user’s browser’s preferred language.

matmarex removed a subscriber: matmarex.Feb 2 2016, 7:55 PM

More test mocks.. this time focusing on "In The News" feature and showing both mobile and desktop views. This is slightly work in progress, but just whats to put some ideas out here.

debt added a comment.Feb 16 2016, 12:23 AM

A different look for the portal - using the Picture of the Day (has attribution) with search box under wikipedia word mark image.

Another look for the portal - using the Picture of the Day (has attribution) with a globe in the lower left hand corner and word mark/search box in the top right hand side of the image.

When clicking / hovering over the globe in the lower left hand side will bring up a modal - showing two different looks for the modal.
Modal showing links to sister Wiki sites in table order:


Modal showing links to sister Wiki sites around the picture of the day small image:

I've some concerns with the large Picture of the Day background image idea. I've shared them with most of Portal team members already but want to share them here too, just for the record:

  1. Having a large background image will slow down the load times of the page tremendously, esp. for people with bad connections.
  2. Since the background image will take a long time to load, the content on top of the background image needs to look good with or without the background image. Which is going to add another layer of difficulty.
  3. Picture of the day will have unpredictable colors, so we will have to take that into account too, to make sure that the content on top of the image is visible. To do this, we will need to have some human curation layer involved every day the image changes.
  4. The image visually overwhelms the page and takes attention from other important parts of the page, like the search box.
  5. Most importantly, I don't see a clear pressing user-need being addressed with this feature. If we want to give our users access to commons picture of the day, I think there are other ways to do it without making it too overwhelming, design and byte-size wise. But that user need is not our top priority right now because there's so much other things to improve on the page :)

@debt @Jdrewniak

debt added a comment.Mar 25 2016, 9:27 AM

Thanks, @MSyed, for your comments. Can you go ahead and mock up a treatment of the portal page where a link to the picture of the day could be used?

I think it'd be a good A/B test, to see if using the link to the PotD is something that visitors to the page will click through to view.

This comment was removed by MSyed.
MSyed added a comment.EditedMar 31 2016, 8:28 PM

Attached are mocks for the next few A/B tests.

Test 1:

Test 1, language dropdown:

Test 1, mobile web:

Test 2:

Test 2, mobile web:

Test 3:

Test 3, mobile web:

Test 4:

Test 4, mobile web:

New Footer:

RHo added a subscriber: RHo.Apr 27 2016, 7:32 PM
Aklapper removed MSyed as the assignee of this task.Jul 10 2017, 8:08 AM

[ Resetting assignee as assignee account is not active anymore ]

debt closed this task as Declined.Jul 13 2017, 7:28 PM

Closing this out - we can always re-open when we're ready to do cool things on the Wikipedia portal again.